Bug 1575228 - Enable IPv6 support
Summary: Enable IPv6 support
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: rtorrent
Version: epel7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Adam Huffman
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-05 09:34 UTC by Yuriy
Modified: 2018-05-10 19:14 UTC (History)
5 users (show)

Fixed In Version: rtorrent-0.9.6-11.fc28 rtorrent-0.9.6-11.fc26 rtorrent-0.9.6-11.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-09 21:26:35 UTC
Type: Bug


Attachments (Terms of Use)

Description Yuriy 2018-05-05 09:34:03 UTC
Description of problem:
rtorrent is unable to retrieve torrents from IPv6-only hosts.
rtorrent is unable to connect to IPv6-only trackers.


Version-Release number of selected component (if applicable):
rtorrent-0.9.6-2.el7.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Download torrent-file  http://mirror.centos.org/centos-7/7/isos/x86_64/CentOS-7-x86_64-Minimal-1708.torrent
2. Add this torrent to rtorrent (Don't start the download automaticaly)
3. Remove the IPv4 tracker and start download 


Actual results:
Get error 'Tracker Status: Tracker: [Couldn't resolve host name]' 

Expected results:
Connect to http://ipv6.torrent.centos.org:6969/announce and work. 

Additional info:
Please add option "--enable-ipv6" to spec-file. 
https://github.com/rakshasa/rtorrent/blob/ce0008510723b6c96c86f8fe944affc84f90cd69/scripts/common.m4#L236

Comment 1 Conrad Meyer 2018-05-05 12:38:22 UTC
I was able to reproduce the problem using the package torrent-file-editor (available in DNF) and removing the non-ipv6 tracker.

It seems a later git revision enabled IPv6 unconditionally: https://github.com/rakshasa/rtorrent/commit/0df0a6650dcd75653543a3f00a71f30293015392  However, that revision is not present in any released version (including 0.9.6).

Comment 3 Fedora Update System 2018-05-06 19:46:32 UTC
rtorrent-0.9.6-11.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-a610fefbd4

Comment 4 Fedora Update System 2018-05-06 19:46:41 UTC
rtorrent-0.9.6-11.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-3d8664b58a

Comment 5 Fedora Update System 2018-05-06 19:46:48 UTC
rtorrent-0.9.6-11.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2018-1a09212f21

Comment 6 Fedora Update System 2018-05-06 23:42:53 UTC
rtorrent-0.9.6-11.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-3d8664b58a

Comment 7 Fedora Update System 2018-05-07 10:48:45 UTC
rtorrent-0.9.6-11.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-a610fefbd4

Comment 8 Fedora Update System 2018-05-07 12:47:37 UTC
rtorrent-0.9.6-11.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-1a09212f21

Comment 9 Fedora Update System 2018-05-09 21:26:35 UTC
rtorrent-0.9.6-11.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2018-05-10 19:10:46 UTC
rtorrent-0.9.6-11.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2018-05-10 19:14:44 UTC
rtorrent-0.9.6-11.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.